curl --request GET \
--url https://api.runloop.ai/v1/benchmarks/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"start_time_ms": 123,
"state": "running",
"metadata": {},
"benchmark_id": "<string>",
"name": "<string>",
"duration_ms": 123,
"score": 123,
"purpose": "<string>",
"environment_variables": {},
"secrets_provided": {}
}
],
"has_more": true,
"total_count": 123
}List all BenchmarkRuns matching filter.
curl --request GET \
--url https://api.runloop.ai/v1/benchmarks/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"start_time_ms": 123,
"state": "running",
"metadata": {},
"benchmark_id": "<string>",
"name": "<string>",
"duration_ms": 123,
"score": 123,
"purpose": "<string>",
"environment_variables": {},
"secrets_provided": {}
}
],
"has_more": true,
"total_count": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Filter by name
The Benchmark ID to filter by.
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?